@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

//Tree
.ye-selsync-attribute-config-tree {
    overflow-y: $selsync__tree--overflow-y;
    padding-left: $selsync__tree--padding-left;

    @media screen and (min-width: $selsync__content-bp-m--width) {
        height: $selsync__tree-bp-m--height;
        position: absolute;
    }

    .ye-selsync-tree-type-container,
    .ye-selsync-tree-attribute-container {
         display: inline-table;
         
        .ye-selsync-partially-selected input:checked:not([disabled]) {
            ~ .z-checkbox-content:before {
                background-color: $selsync__tree-checkbox-grey--bg-color;
                background-image: $selsync__tree-checkbox-grey--bg-image;
                background-size: $selsync__tree-checkbox--bg-size;
                background-position: $selsync__tree-checkbox--bg-position;
                background-repeat: $selsync__tree-checkbox--bg-repeat;
                border-color: $selsync__tree-checkbox-grey--border-color;
            }
        }

        .z-checkbox input:not(:checked):not([disabled]) {
            ~ .z-checkbox-content:before {
                background-color: $selsync__tree-checkbox-red--bg-color;
                background-image: $selsync__tree-checkbox-red--bg-image;
                background-size: $selsync__tree-checkbox--bg-size;
                background-position: $selsync__tree-checkbox--bg-position;
                background-repeat: $selsync__tree-checkbox--bg-repeat;
                border-color: $selsync__tree-checkbox-red--border-color;
            }
        }

        .ye-selsync-partially-selected input[disabled],
        .z-checkbox input[disabled] {
            ~ .z-checkbox-content:before {
                background-color: $selsync__tree-checkbox-disabled--bg-color;
            }
        }
        > div {
            display: table-cell;
            vertical-align: middle;
        }
    }

    .ye-selsync-tree-type-label {
        margin-bottom: $selsync__tree-label--margin-bottom;
        line-height: $selsync__tree-cell--line-height;
        font-weight: $selsync__tree-label-category--font-weight;
        max-width: $selsync__tree-label--max-width;
        overflow: $selsync__tree-label--overflow;
        text-overflow: $selsync__tree-label--text-overflow;
        display: $selsync__tree-label--display;
        color: $selsync__tree-label--color;
    }

    .ye-selsync-tree-attribute-label {
        font-size: $selsync__tree-label--font-size;
        margin-bottom: $selsync__tree-label--margin-bottom;
        line-height: $selsync__tree-label--line-height;
        max-width: $selsync__tree-label--max-width;
        text-overflow: $selsync__tree-label--text-overflow;
        overflow: $selsync__tree-label--overflow;
        display: $selsync__tree-label--display;
        color: $selsync__tree-label--color;
    }

    .ye-selsync-tree-attribute-container:before {
        content: "";
        position: $selsync__tree-icon-attribute--position;
        left: $selsync__tree-icon-attribute--left;
        top: $selsync__tree-icon-attribute--top;
        width: $selsync__tree-icon-attribute--size;
        height: $selsync__tree-icon-attribute--size;
        background: $selsync__tree-icon-attribute--bg;
        // background-size: $selsync__tree-icon-attribute--bg-size;
        // background-image: $selsync__tree-icon-attribute--bg-image;
        // background-repeat: $selsync__tree-icon-attribute--bg-repeat;
        margin-top: $selsync__tree-icon-attribute--margin-top;
    }
    
    .ye-selsync-tree-item:first-child .ye-selsync-tree-attribute-container {
        padding-left: $selsync__tree-attribute-container-first-level--padding-left;
    }

    .ye-selsync-tree-checkbox-container {
        height: $selsync__tree-checkbox-container--height;
        width: $selsync__tree-checkbox-container--width;
        min-width: $selsync__tree-checkbox-container--width;
    }

    .ye-selsync-tree-label-container {
        max-width: $selsync__tree-label-container--max-width;  
    }
}

.ye-selsync-tree-cell {
    height: $selsync__tree-cell--height;

    &:hover > .z-treecell {
        background-color: $selsync__tree-cell--bg-color;
    }

    .z-treecell {
        border-top: $selsync__tree-cell--border;
        position: relative;

        &-content {
            width: $selsync__tree-cell-content--width;
            
            display: table;
            table-layout: fixed;
            
        }
    }

    &:first-child {
        .z-treecell {
            border-top: none;
        }
    }
    .z-treechildren .ye-selsync-tree-cell:first-child .z-treecell {
        border-top-width: 0;
    }
    .z-checkbox {
        padding: 0;
    }

    .z-tree-spacer {
        width: $selsync__space--width;
    }

    .ye-selsync-tree-item {
        padding: $selsync__tree-item--padding;
        position: relative;
    }

    .z-tree-icon {
        line-height: $selsync__tree-cell--line-height;
        position: static;
        min-height: unset;
    }
}

.ye-selsync-attribute-config-tree-view {
    @media screen and (min-width: $selsync__content-bp-m--width){
        margin-bottom: 0;
        position: relative;
        width: $selsync__tree-bp-m--width;

        &,
        & > .z-div {
            height: 100%;
            overflow: hidden;
        }
    }
}